Rated 3 out of 5 stars

1.2.8 on FF3.0.1 breaks the "plugins" section in "Add-ons"...

This review is for a previous version of the add-on (1.5.0).